Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.ServantLocatorPackage
Class CookieHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantLocatorPackage.CookieHelper

public class CookieHelper
extends java.lang.Object

Helper class for : Cookie

Author:
  OpenORB Compiler

Constructor Summary
`CookieHelper()`

Method Summary
`static java.lang.Object` | `extract(Any a)` Extract Cookie from an any
`static java.lang.String` | `id()` Return the Cookie IDL ID
`static void` | `insert(Any a, java.lang.Object t)` Insert Cookie into an any
`static java.lang.Object` | `read(InputStream istream)` Read Cookie from a marshalled stream
`static TypeCode` | `type()` Return the Cookie TypeCode
`static void` | `write(OutputStream ostream, java.lang.Object value)` Write Cookie into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieHelper

    public CookieHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.Object t)

  Insert Cookie into an any
  Parameters:
    `a` - an any
    `t` - Cookie value

### extract

    public static java.lang.Object extract(Any a)

  Extract Cookie from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Cookie value

### type

    public static TypeCode type()

  Return the Cookie TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Cookie IDL ID
  Returns:
    an ID

### read

    public static java.lang.Object read(InputStream istream)

  Read Cookie from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Cookie value

### write

    public static void write(OutputStream ostream,
                             java.lang.Object value)

  Write Cookie into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Cookie value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD